      subroutine init_scalars (ierr)      


      use Agrif_Util
#include "Param_BeforeCall_init_scalars.h"
      integer(4) :: ierr
      

        call Sub_Loop_init_scalars(ierr, Agrif_tabvars_c(18)%carray2, Ag
     &rif_tabvars_i(245)%iarray0, Agrif_tabvars_r(3)%array0, Agrif_tabva
     &rs_r(71)%array0, Agrif_tabvars_c(1)%carray0, Agrif_tabvars_i(275)%
     &iarray0, Agrif_tabvars_i(33)%iarray0, Agrif_tabvars_i(32)%iarray0,
     & Agrif_tabvars_i(30)%iarray0, Agrif_tabvars_i(29)%iarray0, Agrif_t
     &abvars_i(28)%iarray0, Agrif_tabvars_i(97)%iarray0, Agrif_tabvars_i
     &(60)%iarray0, Agrif_tabvars_i(46)%iarray0, Agrif_tabvars_r(28)%arr
     &ay0, Agrif_tabvars_r(27)%array0, Agrif_tabvars_r(54)%darray0, Agri
     &f_tabvars_r(44)%array0, Agrif_tabvars_r(43)%array0, Agrif_tabvars_
     &r(42)%array0, Agrif_tabvars_r(41)%array0, Agrif_tabvars_r(40)%arra
     &y0, Agrif_tabvars_r(39)%array0, Agrif_tabvars_r(38)%array0, Agrif_
     &tabvars_r(37)%array0, Agrif_tabvars_r(36)%array0, Agrif_tabvars_r(
     &35)%array0, Agrif_tabvars_r(50)%darray0, Agrif_tabvars_r(53)%darra
     &y0, Agrif_tabvars_r(52)%darray0, Agrif_tabvars_r(51)%darray0, Agri
     &f_tabvars_i(170)%iarray0, Agrif_tabvars_i(168)%iarray0, Agrif_tabv
     &ars_i(98)%iarray0, Agrif_tabvars_i(61)%iarray0, Agrif_tabvars_i(47
     &)%iarray0, Agrif_tabvars_i(175)%iarray0, Agrif_tabvars(8)%sarray2,
     & Agrif_tabvars_i(174)%iarray2, Agrif_tabvars_i(167)%iarray0, Agrif
     &_tabvars_i(169)%iarray0, Agrif_tabvars_l(6)%larray0, Agrif_tabvars
     &_i(161)%iarray0, Agrif_tabvars_i(155)%iarray0, Agrif_tabvars_i(154
     &)%iarray0, Agrif_tabvars_i(153)%iarray0, Agrif_tabvars_i(158)%iarr
     &ay0, Agrif_tabvars_i(150)%iarray0, Agrif_tabvars_i(149)%iarray0, A
     &grif_tabvars_i(148)%iarray0, Agrif_tabvars_i(147)%iarray0, Agrif_t
     &abvars_l(3)%larray0, Agrif_tabvars_r(8)%array0, Agrif_tabvars_r(5)
     &%array0, Agrif_tabvars_i(176)%iarray0, Agrif_tabvars_i(157)%iarray
     &0, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_
     &tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0)

      end


#include "Sub_Loop_init_scalars.h"
      module bry_t_north


        implicit none
        public :: Alloc_agrif_bry_t_north
      contains
      subroutine Alloc_agrif_bry_t_north(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_t_north.h"
      end subroutine Alloc_agrif_bry_t_north
      end module bry_t_north
      module bry_u_north


        implicit none
        public :: Alloc_agrif_bry_u_north
      contains
      subroutine Alloc_agrif_bry_u_north(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_u_north.h"
      end subroutine Alloc_agrif_bry_u_north
      end module bry_u_north
      module bry_ubar_north


        implicit none
        public :: Alloc_agrif_bry_ubar_north
      contains
      subroutine Alloc_agrif_bry_ubar_north(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_ubar_north.h"
      end subroutine Alloc_agrif_bry_ubar_north
      end module bry_ubar_north
      module bry_zeta_north


        implicit none
        public :: Alloc_agrif_bry_zeta_north
      contains
      subroutine Alloc_agrif_bry_zeta_north(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_zeta_north.h"
      end subroutine Alloc_agrif_bry_zeta_north
      end module bry_zeta_north
      module bry_t_south


        implicit none
        public :: Alloc_agrif_bry_t_south
      contains
      subroutine Alloc_agrif_bry_t_south(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_t_south.h"
      end subroutine Alloc_agrif_bry_t_south
      end module bry_t_south
      module bry_u_south


        implicit none
        public :: Alloc_agrif_bry_u_south
      contains
      subroutine Alloc_agrif_bry_u_south(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_u_south.h"
      end subroutine Alloc_agrif_bry_u_south
      end module bry_u_south
      module bry_ubar_south


        implicit none
        public :: Alloc_agrif_bry_ubar_south
      contains
      subroutine Alloc_agrif_bry_ubar_south(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_ubar_south.h"
      end subroutine Alloc_agrif_bry_ubar_south
      end module bry_ubar_south
      module bry_zeta_south


        implicit none
        public :: Alloc_agrif_bry_zeta_south
      contains
      subroutine Alloc_agrif_bry_zeta_south(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_zeta_south.h"
      end subroutine Alloc_agrif_bry_zeta_south
      end module bry_zeta_south
      module bry_t_east


        implicit none
        public :: Alloc_agrif_bry_t_east
      contains
      subroutine Alloc_agrif_bry_t_east(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_t_east.h"
      end subroutine Alloc_agrif_bry_t_east
      end module bry_t_east
      module bry_u_east


        implicit none
        public :: Alloc_agrif_bry_u_east
      contains
      subroutine Alloc_agrif_bry_u_east(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_u_east.h"
      end subroutine Alloc_agrif_bry_u_east
      end module bry_u_east
      module bry_ubar_east


        implicit none
        public :: Alloc_agrif_bry_ubar_east
      contains
      subroutine Alloc_agrif_bry_ubar_east(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_ubar_east.h"
      end subroutine Alloc_agrif_bry_ubar_east
      end module bry_ubar_east
      module bry_zeta_east


        implicit none
        public :: Alloc_agrif_bry_zeta_east
      contains
      subroutine Alloc_agrif_bry_zeta_east(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_zeta_east.h"
      end subroutine Alloc_agrif_bry_zeta_east
      end module bry_zeta_east
      module bry_t_west


        implicit none
        public :: Alloc_agrif_bry_t_west
      contains
      subroutine Alloc_agrif_bry_t_west(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_t_west.h"
      end subroutine Alloc_agrif_bry_t_west
      end module bry_t_west
      module bry_u_west


        implicit none
        public :: Alloc_agrif_bry_u_west
      contains
      subroutine Alloc_agrif_bry_u_west(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_u_west.h"
      end subroutine Alloc_agrif_bry_u_west
      end module bry_u_west
      module bry_ubar_west


        implicit none
        public :: Alloc_agrif_bry_ubar_west
      contains
      subroutine Alloc_agrif_bry_ubar_west(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_ubar_west.h"
      end subroutine Alloc_agrif_bry_ubar_west
      end module bry_ubar_west
      module bry_zeta_west


        implicit none
        public :: Alloc_agrif_bry_zeta_west
      contains
      subroutine Alloc_agrif_bry_zeta_west(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_zeta_west.h"
      end subroutine Alloc_agrif_bry_zeta_west
      end module bry_zeta_west
      module t_north_id


        implicit none
        public :: Alloc_agrif_t_north_id
      contains
      subroutine Alloc_agrif_t_north_id(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_t_north_id.h"
      end subroutine Alloc_agrif_t_north_id
      end module t_north_id
      module t_south_id


        implicit none
        public :: Alloc_agrif_t_south_id
      contains
      subroutine Alloc_agrif_t_south_id(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_t_south_id.h"
      end subroutine Alloc_agrif_t_south_id
      end module t_south_id
      module t_east_id


        implicit none
        public :: Alloc_agrif_t_east_id
      contains
      subroutine Alloc_agrif_t_east_id(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_t_east_id.h"
      end subroutine Alloc_agrif_t_east_id
      end module t_east_id
      module t_west_id


        implicit none
        public :: Alloc_agrif_t_west_id
      contains
      subroutine Alloc_agrif_t_west_id(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_t_west_id.h"
      end subroutine Alloc_agrif_t_west_id
      end module t_west_id
      module bry_indices_array


        implicit none
        public :: Alloc_agrif_bry_indices_array
      contains
      subroutine Alloc_agrif_bry_indices_array(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_indices_array.h"
      end subroutine Alloc_agrif_bry_indices_array
      end module bry_indices_array
      module bry_logical


        implicit none
        public :: Alloc_agrif_bry_logical
      contains
      subroutine Alloc_agrif_bry_logical(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_bry_logical.h"
      end subroutine Alloc_agrif_bry_logical
      end module bry_logical
